org.apache.ignite.internal.visor.event

## Class VisorGridEvent

- java.lang.Object
- - org.apache.ignite.internal.visor.event.VisorGridEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisorGridDeploymentEvent, VisorGridDiscoveryEvent, VisorGridEventsLost, VisorGridJobEvent, VisorGridSecuritySessionEvent, VisorGridTaskEvent

    public class VisorGridEvent
    extends Object
    implements Serializable

Base class for lightweight counterpart for various `Event`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridEvent(int typeId, IgniteUuid id, String name, UUID nid, long ts, String msg, String shortDisplay)` Create event with given parameters.

### Method Summary

Methods
`IgniteUuid` `id()`
`String` `message()`
`String` `name()`
`UUID` `nid()`
`String` `shortDisplay()`
`long` `timestamp()`
`String` `toString()`
`int` `typeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridEvent

    public VisorGridEvent(int typeId,
                  IgniteUuid id,
                  String name,
                  UUID nid,
                  long ts,
                  @Nullable
                  String msg,
                  String shortDisplay)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.

### Method Detail

#### typeId

    public int typeId()

Returns:
  Event type.

#### id

    public IgniteUuid id()

Returns:
  Globally unique ID of this event.

#### name

    public String name()

Returns:
  Name of this event.

#### nid

    public UUID nid()

Returns:
  Node Id where event occurred and was recorded.

#### timestamp

    public long timestamp()

Returns:
  Event timestamp.

#### message

    @Nullable
    public String message()

Returns:
  Event message.

#### shortDisplay

    public String shortDisplay()

Returns:
  Shortened version of result. Suitable for humans to read.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015